DO
$$
    DECLARE
        SUPER_ADMINS_GROUP_ID GROUPS.id%TYPE;
        ADMINS_GROUP_ID       GROUPS.id%TYPE;
        PERMISSION_ID         PERMISSIONS.id%TYPE;

    BEGIN

        SUPER_ADMINS_GROUP_ID := (SELECT ID FROM GROUPS WHERE NAME = 'Super admins');
        ADMINS_GROUP_ID := (SELECT ID FROM GROUPS WHERE NAME = 'Admins');

        INSERT INTO PERMISSIONS (NAME)
        VALUES ('iam:users:delete')
        ON CONFLICT DO NOTHING
        RETURNING id INTO PERMISSION_ID;

        IF PERMISSION_ID IS NOT NULL AND SUPER_ADMINS_GROUP_ID IS NOT NULL
        THEN
            INSERT INTO GROUP_PERMISSIONS (GROUP_ID, PERMISSION_ID)
            VALUES (SUPER_ADMINS_GROUP_ID, PERMISSION_ID);
        END IF;

        IF PERMISSION_ID IS NOT NULL AND ADMINS_GROUP_ID IS NOT NULL
        THEN
            INSERT INTO GROUP_PERMISSIONS (GROUP_ID, PERMISSION_ID)
            VALUES (ADMINS_GROUP_ID, PERMISSION_ID);
        END IF;

    END
$$;
